Ubuntu

[i965] Dell Studio 15 White Screen on X startup

Reported by straythenomad on 2008-11-12
68
This bug affects 5 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Invalid
Critical
linux (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Jerone Young
Nominated for Lucid by Jerone Young
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
xorg (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Jerone Young
Nominated for Lucid by Jerone Young
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Nominated for Karmic by Jerone Young
Nominated for Lucid by Jerone Young
Hardy
High
Unassigned
Intrepid
High
Unassigned

Bug Description

[Problem]
On X server load, displays white screen with scattered 1 pixel lines when using -intel driver.

[Impact]
Affects users owning hardware with certain LVDS displays produced by AUO, such as used in the Dell Studio 15 and Studio 1535; reportedly some Sony systems may be fixed by this as well. These are currently shipping models from Dell; they had been shipped with Ubuntu pre-installed, making this a particularly severe problem.

[Development Branch]
Same patch is deployed to Jaunty in version 2.5.1-1ubuntu9
This patch is a correction to a long standing bug where the -intel driver generates slightly incorrect modelines. Most systems tolerate the slight error, but others (like the ones affected by this bug) don't.

[Patch]
From upstream - https://bugs.freedesktop.org/show_bug.cgi?id=18342
Identical patch used in Intrepid and Jaunty

[Test Case]
Boot LiveCD on hardware with affected LVDS; will result in white screen following usplash.

[Regression Potential]
This changes the modeline calculations in general (i.e. it is not a hardware-specific quirk). Regression could occur under two theoretical circumstances:

1. Logic error. If the patch is mis-coded, it could cause all modelines to be miscalculated. This is not felt to be very likely, especially since the patch is very simple. However if it does happen, it will be exceedingly obvious...

2. Uncovering secondary bugs. It is entirely possible (but perhaps extraordinarily unlikely) that some hardware has slightly buggy timing dependencies the other way round, and are dependent on the buggy timing calculations, and could exhibit problems once the issue is fixed. However the risk of this is probably vanishingly small, and if it does happen will probably affect only a few systems, and the fix ought to be fairly straightforward.

In both the above cases, ample testing will mitigate the risk levels.

[lspci]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03) (prog-if 00 [VGA controller])
 Subsystem: Dell Unknown device [1028:0254]

[Original Report]
I purchased a Dell Studio 15 with Ubuntu pre-installed.
The graphics adapter is an Intel x3100
The LCD is 1280x800.
I suspect that the LCD is not compatible with the current version of the Linux driver.
Out of the box, the loading screens appear just fine. Once the X server loads, the screen goes mostly white, with some scattered lines, each about 1 pixel wide.
I then booted to "recovery mode" and selected the option for the system to attempt to fix X on its own. This resulted in a "White Screen of Death" as well.
Any attempt to use the Intel driver results in a White Screen of Death.
Vesa will not recognize a 1280x800 resolution and only gives 800x600 upon initial installation. After installing KDE the screen results in 1024x768 but still will not work in 1280x800, even though those resolutions are listed in the Modelines in xorg.conf.
Bug is present in Ubuntu 8.04 and 8.10, if not more.
The worst part is that even the replacement Dell Studio 15 has this same problem. I suspect that Dell is knowingly selling a model of laptop that is supposedly "approved hardware" that they never got to work in the first place.

You say you installed KDE - did this work out of the box with the pre-installed Gnome version of 8.04 that it ships with?

No. Out of the box I got the white screen of death.
I then inserted the Live CD that shipped with the computer, then selected
"safe graphics mode" and installed the standard Gnome version.
Once Gnome was installed, the resolution was 800x600 using Vesa driver.
Then, from Adaptec Package Manager, I downloaded KDE4. Upon reboot my screen
was 1024x768 using Vesa driver, which I remind you is not the 1280x800 using
Intel that I need.

On Wed, Nov 12, 2008 at 10:24 AM, Mark Murphy <email address hidden>wrote:

> You say you installed KDE - did this work out of the box with the pre-
> installed Gnome version of 8.04 that it ships with?
>
> --
> Dell Studio 15 Doesn't Boot, White Screen of Death
> https://bugs.launchpad.net/bugs/297245
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> I purchased a Dell Studio 15 with Ubuntu pre-installed.
> The graphics adapter is an Intel x3100
> The LCD is 1280x800.
> I suspect that the LCD is not compatible with the current version of the
> Linux driver.
> Out of the box, the loading screens appear just fine. Once the X server
> loads, the screen goes mostly white, with some scattered lines, each about 1
> pixel wide.
> I then booted to "recovery mode" and selected the option for the system to
> attempt to fix X on its own. This resulted in a "White Screen of Death" as
> well.
> Any attempt to use the Intel driver results in a White Screen of Death.
> Vesa will not recognize a 1280x800 resolution and only gives 800x600 upon
> initial installation. After installing KDE the screen results in 1024x768
> but still will not work in 1280x800, even though those resolutions are
> listed in the Modelines in xorg.conf.
> Bug is present in Ubuntu 8.04 and 8.10, if not more.
> The worst part is that even the replacement Dell Studio 15 has this same
> problem. I suspect that Dell is knowingly selling a model of laptop that is
> supposedly "approved hardware" that they never got to work in the first
> place.
>

[This is an automated message]

Hi chrismenning-gmail,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

Changed in xorg:
status: New → Incomplete
Download full text (49.2 KiB)

I reproduced the problem by booting into recovery mode, and then using the automated "Attempt to fix X" option.
I then resume normal boot which reproduces the white screen of death.
I then rebooted into recovery mode and dropped to a terminal prompt.

I ran 'lspci -vvnn' but did not know how to save the output to a file while in the text-only interface.

From here I ran 'sudo nano /var/log/Xorg.0.log' These are the contents.

-------

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.1~git20080131-1ubuntu9.2)
Current Operating System: Linux chris-laptop 2.6.24-21-generic #1 SMP Tue Oct 21 23:43:45 UTC 2008 i686
Build Date: 13 June 2008 01:08:21AM

 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Nov 14 12:24:37 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) | |-->Monitor "Configured Monitor"
(**) | |-->Device "Configured Video Device"
(**) |-->Input Device "Synaptics Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified. Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
 Entry deleted from font path.
(==) FontPath set to:
 /usr/share/fonts/X11/misc,
 /usr/share/fonts/X11/100dpi/:unscaled,
 /usr/share/fonts/X11/75dpi/:unscaled,
 /usr/share/fonts/X11/Type1,
 /usr/share/fonts/X11/100dpi,
 /usr/share/fonts/X11/75dpi,
 /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(==) |-->Input Device "Configured Mouse"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
 Using the first core pointer device.
(==) The core keyboard device wasn't specified explicitly in the layout.
 Using the first keyboard device.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81dc500
(II) Module ABI versions:
 X.Org ANSI C Emulation: 0.3
 X.Org Video Driver: 2.0
 X.Org XInput driver : 2.0
 X.Org Server Extension : 0.3
 X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
 compiled for 1.4.0.90, module version = 1.0.0
 ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (...

Changed in xorg:
status: Incomplete → Confirmed
Kevin Krafthefer (krafthefer) wrote :

FYI, 'lspci -vvnn > output.txt' will capture the output to file while in text mode.

Attached is the output of lspci -vvnn

Attached is the Xorg.0.log after reproducing the "White Screen Of Death" error.

Here's my modified xorg.conf that uses VESA to get 1024x768. It lists 1280x800 but this resolution does not appear as an option in the "Screen Resolution" graphical frontend.

Mario Limonciello (superm1) wrote :

Canonical in the US and Taiwan have been working with the Dell
       Linux Engineering team and the individual factories producing
       this model to identify a root cause and fix to this issue since
       your raised it with us.
       It appears to be specific to a batch of machines although
       without a definitive root cause we are not ruling other
       scenarios out.

       Your continued assistance in the issue is appreciated - there
       are very significant efforts that go into making sure that
       Ubuntu works excellently on Dell hardware and we are keen to
       understand what went wrong here both specifically and in the
       general process.

       Thank you for your assistance.

Mario Limonciello (superm1) wrote :

In trying to isolate the hardware that was placed in that batch, any additional Xorg logs from failing hardware when the intel driver is in use will be useful for additional datapoints.

I have a hunch that it has to do with the LCD panels manufactured by AUO.
I'm no developer, and this is the first time I've tried to interpret Xorg.0.log, but from what I can tell I believe that the line
[quote](II) VESA(0): Manufacturer: AUO Model: 8174 Serial#: 0[/quote]
refers to the LCD used in my Dell Studio 1535. I've confirmed that AUO is an LCD manufacturer. Here is their website. http://auo.com/auoDEV/?ls=en

[quote](II) VESA(0): clock: 65.0 MHz Image Size: 331 x 207 mm
(II) VESA(0): h_active: 1280 h_sync: 1328 h_sync_end 1360 h_blank_end 1337 h_border: 0
(II) VESA(0): v_active: 800 v_sync: 803 v_sync_end 809 v_blanking: 810 v_border: 0
(II) VESA(0): Supported additional Video Mode:
(II) VESA(0): clock: 65.0 MHz Image Size: 331 x 207 mm
(II) VESA(0): h_active: 1280 h_sync: 1328 h_sync_end 1360 h_blank_end 1337 h_border: 0
(II) VESA(0): v_active: 800 v_sync: 803 v_sync_end 809 v_blanking: 810 v_border: 0[/quote]

This looks as though I should be able to create a modeline like this...

[quote]modeline "1280x800@65" 83.46 1280 1328 1360 1377 800 803 809 810 -hsync +vsync[/quote]

But even by deleting all other modelines from xorg.conf and inserting the new one, I still only get 1024x768, 800x600, and 640x480.

There is then a section of xorg.0.log that reads as follows...

[quote](II) VESA(0): EDID vendor "AUO", prod id 33140
(II) VESA(0): Searching for matching VESA mode(s):[/quote]

What comes next is longer than the forums will permit but can be read on launchpad under the bugreport that I referenced in my prior post. The main point is that there are no values for any resolution other higher than 1024x768.

So I'm assuming that this LCD manufactured by AUO is not reporting that it is capable of a 1280x800 resolution. Is this because the Intel driver needs to be updated to support the AUO LCD or is it that Dell created a laptop with a budget LCD that doesn't really support resolutions that they advertise?

Here is some info from AUO's site about their two different models of 15.4" LCD panel. I believe it's the first model.
Wide Aspect Ratio
Size 15.4"
Model B154EW02 V1
Resolution (pixel) WXGA (1280 x 800)
Aspect Ratio 16 : 10
Active Area (mm) 331.2 x 207.0
Pixel Pitch (mm) 0.259
Mode TN
Number of Colors 262K
Color Saturation (NTSC %) 45
View Angle (H/V) 80 / 40
Brightness (cd/m²) (5 points average) 200
Contrast Ratio 400 : 1
Response Time (ms) (at 25°C) 16
Power Consumption (W)(typ) 6.5
Interface 1ch LVDS
Supply Voltage (V) 3.3
Backlight 1 CCFL
Outline Dimensions (mm)(typ) 344.0 x 222.0 x 5.8
Weight (g)(typ) 500
Production Now
------
Wide Aspect Ratio
Size 15.4"
Model B154PW04 V0
Resolution (pixel) WXGA+ (1440 x 900)
Aspect Ratio 16:10
Active Area (mm) 331.5 x 207.2
Pixel Pitch (mm) 0.23025
Mode TN
Number of Colors 262K
Color Saturation (NTSC %) 45
View Angle (H/V) 140 / 120
Brightness (cd/m²) (5 points average) 330
Contrast Ratio 400:1
Response Time (ms) (at 25°C) 16
Power Consumption (W)(typ) 4.8
Interface 2ch LVDS
Supply Voltage (V) 3.3
Backlight WLED
Outline Dimensions (mm)(typ) 344.0 x 222 x 5.8
Weight (g)(typ) 430
Production Now

Mario Limonciello (superm1) wrote :

For extra data, the 1080p LG display does NOT fail with intel: http://mythbuntu.pastebin.com/m7c7f83b8

Jerone Young (jerone) wrote :

Looking at the Xorg log it appears that the AUO display does not have everything needed in it's EDID info. Either it's EDID info is incomplete or it does not support the standard VESA modes needed (such as 1280x800@60hz).

Assuming that the AUO display doesn't have everything needed in its EDID, would it be possible for someone to write a program that could allow the user to manually enter the needed info?

Mario Limonciello (superm1) wrote :

Here's how to grab the EDID information from the display:

sudo apt-get install read-edid
sudo get-edid | parse-edid | tee edid.txt

Attach the resultant edid.txt to this log.

Attached here is the output of edid.txt
Now I'm confused. According to this program the EDID is reporting the values needed for 1280x800, but according to Xorg.0.log that isn't the case. Do you know where the disagreement might come from?

I reproduced the bug using the intel drivers and got a different output for my var/log/Xorg.0.log
Here it is.

This part sounds suspicious to me. does it mean anything to you?
(WW) intel(0): ESR is 0x00000010, page table error
(WW) intel(0): PGTBL_ER is 0x00000010, display A pte
(WW) intel(0): Existing errors found in hardware state.
(II) intel(0): Output configuration:
(II) intel(0): Pipe A is off
(II) intel(0): Display plane A is now disabled and connected to pipe A.
(II) intel(0): Pipe B is on
(II) intel(0): Display plane B is now enabled and connected to pipe B.
(II) intel(0): Output VGA is connected to pipe none
(II) intel(0): Output LVDS is connected to pipe B
(II) intel(0): Output TMDS-1 is connected to pipe none

Bryce Harrington (bryce) wrote :

Hi stray,

There seem to be two separate issues you're running into - whitescreen with -intel, and limited resolutions with -vesa.

Taking the second issue first, -vesa is by design a limited graphics driver implementing the base set of standards all hardware vendors agree to adhere to, that guarantees only 640x480, and partly guarantees 800x600 and 1024x768. It *sometimes* permits other 4:3 aspect ratio resolutions supported by the monitor and graphics card, but in general I would not expect it to work with 1280x800 (16:10). Really, for such a resolution one would expect the normal driver (-intel) to work.

So for this bug report, let's focus only on the whitescreen problem in this bug report.

Mario, do you have access to this same hardware? Are you able to reproduce the problem?

description: updated
Changed in xorg:
importance: Undecided → High
Bryce Harrington (bryce) wrote :

I found this bug is already reported upstream for this hardware:
https://bugs.freedesktop.org/show_bug.cgi?id=18342

Sanvesh (sanvesh-iitk) wrote :
Download full text (34.0 KiB)

hi all,
I have also the same problem as Chris (straythenomad) on Dell Studio 1535 with the following conifguration

Bios A05 (upgraded BIOS from A04 to A05)
Intel Mobile Core 2 Duo T8100, 2.1 GHz
Intel 965GM Graphics, video BIOS version 1533, 8MB with native resolution of 1200 by 800 and a 15.4" screen
The VGA is Intel X3100.

here is my: Xorg.0.log file

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.1~git20080131-1ubuntu9.2)
Current Operating System: Linux sadist 2.6.24-21-generic #1 SMP Tue Oct 21 23:09:30 UTC 2008 x86_64
Build Date: 13 June 2008 01:10:57AM

 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Nov 8 09:41:34 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) | |-->Monitor "Configured Monitor"
(**) | |-->Device "Configured Video Device"
(**) |-->Input Device "Synaptics Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified. Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
 Entry deleted from font path.
(==) FontPath set to:
 /usr/share/fonts/X11/misc,
 /usr/share/fonts/X11/100dpi/:unscaled,
 /usr/share/fonts/X11/75dpi/:unscaled,
 /usr/share/fonts/X11/Type1,
 /usr/share/fonts/X11/100dpi,
 /usr/share/fonts/X11/75dpi,
 /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(==) |-->Input Device "Configured Mouse"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
 Using the first core pointer device.
(==) The core keyboard device wasn't specified explicitly in the layout.
 Using the first keyboard device.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x7bd660
(II) Module ABI versions:
 X.Org ANSI C Emulation: 0.3
 X.Org Video Driver: 2.0
 X.Org XInput driver : 2.0
 X.Org Server Extension : 0.3
 X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
 compiled for 1.4.0.90, module version = 1.0.0
 ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,2a00 card 1028,0254 rev 03 class 06...

Sanvesh (sanvesh-iitk) wrote :
Download full text (58.9 KiB)

The above Xorg.0.log file was posted when the driver was Intel resulting in WSoD ...

Now this is the output when i reproduced by changing the driver to "VESA" instead of INTEL..
The Xorg.0.log file is attached...

ALSO : MY Manufacturer is same as Chris' (straythenomad)
(II) VESA(0): Manufacturer: AUO Model: 8174 Serial#: 0

--------------------------------------------------------------------
This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.1~git20080131-1ubuntu9.2)
Current Operating System: Linux sadist 2.6.24-21-generic #1 SMP Tue Oct 21 23:09:30 UTC 2008 x86_64
Build Date: 13 June 2008 01:10:57AM

 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Nov 8 09:21:17 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) | |-->Monitor "Configured Monitor"
(**) | |-->Device "Configured Video Device"
(**) |-->Input Device "Synaptics Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified. Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
 Entry deleted from font path.
(==) FontPath set to:
 /usr/share/fonts/X11/misc,
 /usr/share/fonts/X11/100dpi/:unscaled,
 /usr/share/fonts/X11/75dpi/:unscaled,
 /usr/share/fonts/X11/Type1,
 /usr/share/fonts/X11/100dpi,
 /usr/share/fonts/X11/75dpi,
 /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(==) |-->Input Device "Configured Mouse"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
 Using the first core pointer device.
(==) The core keyboard device wasn't specified explicitly in the layout.
 Using the first keyboard device.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x7bd660
(II) Module ABI versions:
 X.Org ANSI C Emulation: 0.3
 X.Org Video Driver: 2.0
 X.Org XInput driver : 2.0
 X.Org Server Extension : 0.3
 X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
 compiled for 1.4.0.90, module version = 1.0.0
 ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: c...

Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed

So...Dell...Canonical...
Dell Customer Support tells me I only have five days left to get a refund or I'm stuck with this non-functioning laptop. Last time I sent in for a replacement, the replacement had the same error. Any chance you'll bump me up to one that actually works?

Bryce Harrington (bryce) wrote :

Upstream would like to see the video bios. Can someone with one of the affected machines please run the following and attach the rom.bin at https://bugs.freedesktop.org/show_bug.cgi?id=18342.

# cd /sys/devices/pci0000\:00/0000\:00\:02.0/
# echo 1 > rom
# cat rom > /tmp/rom.bin
# echo 0 > rom

This command....
cd /sys/devices/pci0000\:00/0000\:00\:02.0/
returns this
"No such file or directory" as does
cat rom > /tmp/rom.bin

Can anyone tell me what I'm doing wrong?

It would make more sense to me if the command was
cd /sys/devices/pci0000:00/0000:00:02.0
That's an actual directory in my system.
However the command
echo 1 > rom
returns "Permission Denied"

Jerone Young (jerone) wrote :

@stythenomad

Looks like effective user needs to be "root". I see what you are saying I got the same thing until I completely became "root".
To do this run:
sudo su

Now run the commands while you are root. That worked for me.

Okay, now here's exactly what I did.

#sudo su

Then this command still doesn't work.
cd /sys/devices/pci0000\:00/0000\:00\:02.0/
I don't have that directory in my system.
So I type the closest thing that seems to make sense
# cd /sys/devices/pci0000:00/0000:00:02.0
# echo 1 > rom
# cat rom > /tmp/rom.bin
# echo 0 > rom

and I don't really get any feedback.
So to view the file I type this...
# sudo nano /tmp/rom.bin

at the contents of the rom.bin file don't look like tells much of anything
usuable. It's mostly jumbled but contains this
00IBM VGA Compatible BIOS. @$VBT CRESTLINE
and then this...
^C1533Intel(r)Crestline PCI Accelerated SVGA BIOS
Build Number: 1318 PC 14.18 04/06/2006 18:05:12
DECOMPILATION OR DISASSEMBLY PROHIBITED
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@Copyright (C) 2000-2003 Intel Corp. All
Rig$
And then after more garbled mess there's
Total time for VGA initialization < 10 MilliSeconds

Jerone Young (jerone) wrote :

@strythenmad
You only saw the header of the rom binary. It's binary code so you can't read it in a text editor. The header just happened to have ASCII text though. Not sure what the maintainer will do with it but, they are asking for it for debug purposes.

Bryce Harrington (bryce) wrote :

Thanks stray, I've attached your rom file upstream.

Changed in xserver-xorg-video-intel:
status: Confirmed → Triaged
Bryce Harrington (bryce) wrote :

[No need for having this open against the xorg package as well]

Changed in xorg:
status: New → Invalid
Changed in xserver-xorg-video-intel:
status: Confirmed → In Progress
eegunnar (eegunnar) wrote :

I recently purchased a studio 15 laptop with this issue. Are there any studio 15 laptops still being shipped with this issue? I'd like to confirm if I send back my laptop and receive a new one the display will work correctly. Thanks

Fabián Rodríguez (magicfab) wrote :

eegunnar, as part of Canonical Support I am asking that question through our channels to Dell.

@ Mario Limonciello, would you be able to ask if this system is still shipping with this problem, or if new shipments have a working setup ? I also need to get back to customers returning their machines and deciding if they get a replacement or a different one. Thank you.

Hi Fabián:
This LCD part has been issued a stop ship for all Ubuntu preloaded
machines going forward. Customers who purchase with windows may still
receive it though.

Fabián Rodríguez wrote:
> eegunnar, as part of Canonical Support I am asking that question through
> our channels to Dell.
>
> @ Mario Limonciello, would you be able to ask if this system is still
> shipping with this problem, or if new shipments have a working setup ? I
> also need to get back to customers returning their machines and deciding
> if they get a replacement or a different one. Thank you.
>
>

--
Mario Limonciello
*Dell | Linux Engineering*
<email address hidden>

I want to see <email address hidden> fired.
Quote:
------
Dear Customer,

Please read this email carefully.

While reviewing the list of items to be returned, I've identified that we have not received the goods that had to be returned under the above mentioned returns reference.

We have now cancelled the returns as it has been more than 15 working days since the items have not been received.

For further clarifications, request you to kindly contact Customer Care on 1-800-624-9897.

Thank you very much and we hope you make Dell your first choice in future.

Regards,
Joshua Garikapati
-----
Dell is my last choice from now on.

I called Dell, and they've confirmed that I should be getting my upgraded 1440x900 LCD panel, and that Joshua Garakapati was not supposed to cancel my order.

Dell has horrible communication from one department to another, from one process to the next.

I'm thinking it would be nice to see Joshua Garakapati fired. He didn't even look into the fact that my replacement didn't work, then through my own efforts uncovered that 1/3 of all Dell Studio 1535s are manufactured with faulty hardware, and then was promised to finally get a third laptop that would actually work. I was supposed to get that third one today, but Joshua Garakapati went and cancelled me order.

DELL, YOU SUCK.

I WILL NEVER BUY A DELL AGAIN.

Canonical, please stop doing business with Dell. Find a more reputable retailer. As far as I'm concerned, you've lost all credibility.

I just received a call from a woman named Sonya from Dell, whom I spoke with before, and she has assured me that my new laptop is already in process and should most likely arrive by Monday.

Sonya has been fairly good about her job. The rest of Dell is seriously lacking in the customer service, testing, quality, and inter-office communications.

My experience so far with Dell has been this...
If you buy a Dell laptop with Ubuntu preinstalled, you have a 1/3 chance of it actually working. Be prepared to wait for 14 days at a time for each laptop to arrive. Upon booting, it will most likely go to a white-screen. In this case, you must call Dell and tell them that you would like to exchange. If you call Dell customer support about a Linux problem, they will refer you to Canonical who will ask if you've purchased their expensive customer service package. There is a Linux customer support line, but you will have to search around online to find it since it's not printed on any of the information you will receive, nor does Dell Customer Support forward you there. Even when you've reported your problem, and one person from Dell assures you that they are addressing it, someone else from Dell will call and email you to say that they have cancelled your order. You must be persistent and hold them completely accountable in order to have anything work right.

If you are the type of customer who expects something to "just work out of the box" then you by no means should ever go with Dell.

Fabián Rodríguez (magicfab) wrote :

@straythenomad: although this is hardly the space to vent customer support issues, I appreciate you share your experience here.

Seeing the subscribers list for this bug I know everyone involved at Dell and at Canonical Support reads your comments and takes note so the "Dell+Ubuntu" experience improves and this doesn't happen again. If you want to further discuss the issues you had with Canonical feel free to contact me directly, see my Launchpad profile for contact information.

I finally received my working replacement last week. I'm very impressed with this thing! The screen works beautifully, and even after installing the compizconfig settings manager for enhanced desktop effects, it runs great.
But I know there are others who are still really anxious to get that new Intel Driver that will support the LCDs from AUO. These are mostly people who bought Dell Studio 15s with Vista and decided to change over to Ubuntu. While I can understand that Dell delivered what they promised to them, it would be nice to see Canonical and other Ubuntu developers deliver a more robust Intel Driver.
Thanks again.

Bryce Harrington (bryce) on 2008-12-20
Changed in xserver-xorg-video-intel:
status: Triaged → Incomplete
Bryce Harrington (bryce) on 2008-12-20
Changed in xserver-xorg-video-intel:
status: Incomplete → Triaged
Changed in xserver-xorg-video-intel:
status: Triaged → Fix Released
Bryce Harrington (bryce) on 2009-01-14
description: updated
Bryce Harrington (bryce) on 2009-01-14
Changed in xserver-xorg-video-intel:
importance: Undecided → High
status: New → Fix Committed
Changed in xorg:
status: New → Invalid
status: New → Invalid
Changed in xserver-xorg-video-intel:
importance: Undecided → High
milestone: none → ubuntu-8.04.3
milestone: none → intrepid-updates
Bryce Harrington (bryce) on 2009-01-14
Changed in xserver-xorg-video-intel:
status: New → Incomplete
status: Incomplete → In Progress
Bryce Harrington (bryce) on 2009-01-14
Changed in xserver-xorg-video-intel:
status: In Progress → Fix Committed
Changed in dell:
status: New → Confirmed
23 comments hidden view all 103 comments
baba lafayette (suncoolsu) wrote :

Hello All,
Sorry for my super naive and n00bish question -

Where can I find the fix? if its the "Patch ported to hardy" link (by Bryce) how do I actually apply this patch

I am sorry again :(

thx
B.

Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in xserver-xorg-video-intel:
status: In Progress → Invalid
Chris Carlin (volkris) wrote :

The update to xserver-xorg-video-intel 2:2.4.1-1ubuntu10.3 (from 10.1) caused a scrambled display on my Dell/Motion Computing LE1600.

The difference I see in the logs is this, when broken:
(EE) intel(0): Mode 1280x1024 does not fit virtual size 1024x1024 - internal error

instead of this, when working:
(EE) intel(0): Mode 1280x1024 does not fit virtual size 1024x768 - internal error

I am running at 1024x768, so it seems the proposed update does not properly detect resolution.

lspci says:
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

Chris Carlin (volkris) wrote :

On second thought, my regression is probably related to bug #316672, which deals with resolution more explicitly. Sorry for the bugspam.

Mario Limonciello (superm1) wrote :

I can confirm on the affected hardware that the package in intrepid-proposed fixes the problem.

baba lafayette (suncoolsu) wrote :

I can confirm that the package in intrepid-proposed fixes the problem.
 But there is just one problem - I dont know if its because of this package.

The refresh rate for my LCD changed to 56 after I used INTEL driver

The refresh rate with VESA driver to get 1280x800 resolution was 60.

Is this a big issue?

thx for the fix

carbon60 (carbon-60) wrote :

I have Dell Studio 15 that have Jaunty alpha3 installed. I still see the white screen problem with Intel driver. Is this fix supposed to be included in jaunty repository? Any pointer is greatly appreciated. Thanks.

Mario Limonciello (superm1) wrote :

Jaunty's intel driver package still hasn't built properly (due to other problems), but the source package reflects the changes.

Mario Limonciello
Dell | Linux Engineering
<email address hidden>

________________________________

From: <email address hidden> on behalf of carbon60
Sent: Wed 1/21/2009 6:35 PM
To: <email address hidden>
Subject: [Bug 297245] Re: [i965] Dell Studio 15 White Screen on X startup

I have Dell Studio 15 that have Jaunty alpha3 installed. I still see the
white screen problem with Intel driver. Is this fix supposed to be
included in jaunty repository? Any pointer is greatly appreciated.
Thanks.

--
[i965] Dell Studio 15 White Screen on X startup
https://bugs.launchpad.net/bugs/297245
You received this bug notification because you are a member of The Dell
Team, which is a direct subscriber.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.4.1-1ubuntu10.3

---------------
xserver-xorg-video-intel (2:2.4.1-1ubuntu10.3) intrepid-proposed; urgency=low

  * i830-vbt-timing-hack.patch: Adjust h and vblank end to fix issue on
    Dell Studio 15 and other similar hardware. Fixes issue where X
    comes up with an unusable white screen on the LVDS.
    (LP: #297245)

 -- Bryce Harrington <email address hidden> Tue, 13 Jan 2009 16:37:33 -0800

Changed in xserver-xorg-video-intel:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I keep the hardy upload for this in the queue, since the previous -intel driver in hardy did not get any testing feedbac at all, but should move to -updates first. (bug #288859 and bug #267570).

Mauricio Tucci (mauriciotucci) wrote :

Hi! After update xserver-xorg-video-intel (2:2.4.1-1ubuntu10.3) I have troubles on my ASUS laptop. Sometimes when X server loads I have vertical lines on screen like wrong bitrate resolution or something that. After fews X server restarts the screen come back works fine. This happens too when finish the screen saver (blank screen).
Tks.
Mauricio Tucci

Chris Carlin (volkris) wrote :

@Mauricio - could you look at bug #320893 and see if it sounds like the same thing? In particular, do you have the "does not fit virtual size" line in your /var/log/Xorg.0.log file? If so, please comment over there.

Mauricio Tucci (mauriciotucci) wrote :

@Chris - I did downgrading and older version (10) works fine. Please, look the /var/log/Xorg.0.log attached. I couldn't find "do not fit virtual size". I don't know which bug fits better in my case.

Buzonyx (buzonyx) wrote :

New driver seems to work fine, thanks for the fix.

Changed in dell:
status: Confirmed → Fix Released
Martin Pitt (pitti) wrote :

Accepted xserver-xorg-video-intel into hardy-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Can anyone please test this version in hardy-proposed and give feedback here? Without feedback on affected hardware we'll pull the package from -proposed.

Testing this proposed package for hardy with a live CD on a Dell machine I currently have access to, the package doesn't fix the reported problem. Attached are various files to help identify the machine and why the fix may not be working etc.

Well that's particularly odd. Can you please elaborate on the symptoms on the failed X with this patch? The patch is identical in form to the ones in Intrepid and Jaunty which both boot up correctly do they not?

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Luke Yelavich
Sent: Thursday, April 16, 2009 10:46 PM
To: <email address hidden>
Subject: [Bug 297245] Hardy-proposed package does not work here.

Testing this proposed package for hardy with a live CD on a Dell machine
I currently have access to, the package doesn't fix the reported
problem. Attached are various files to help identify the machine and why
the fix may not be working etc.

** Attachment added: "dmesg.txt"
   http://launchpadlibrarian.net/25582955/dmesg.txt

** Attachment added: "dmidecode.txt"
   http://launchpadlibrarian.net/25582956/dmidecode.txt

** Attachment added: "lspci.txt"
   http://launchpadlibrarian.net/25582957/lspci.txt

** Attachment added: "Xorg.0.log"
   http://launchpadlibrarian.net/25582958/Xorg.0.log

** Attachment added: "xserver-xorg-intel-aptcache-policy.txt"
   http://launchpadlibrarian.net/25582959/xserver-xorg-intel-aptcache-policy.txt

--
[i965] Dell Studio 15 White Screen on X startup
https://bugs.launchpad.net/bugs/297245
You received this bug notification because you are a member of The Dell
Team, which is a direct subscriber.

Martin Pitt (pitti) on 2009-04-17
tags: added: verification-failed
removed: verification-needed
baba lafayette (suncoolsu) wrote :

It works fine with Intrepid.

I had a question regarding Jaunty - If i upgrade to Jaunty from intrepid - do i need to reinstall this patch ? or has it been taken care of in Jaunty?

thx

Martin Pitt (pitti) wrote :

I removed the current -intel upload from -proposed since it failed verification and this bug did not get any attention for several months.

tags: removed: verification-failed
Changed in xserver-xorg-video-intel (Ubuntu Hardy):
milestone: ubuntu-8.04.3 → none
status: Fix Committed → Triaged
obedlink (obedlink-gmail) wrote :

ubuntu 8.04, 8.10 and now 9.10 (ubuntu 9.04 works well) when I start the LiveCD and choose to either install Ubuntu or just try ubuntu without changing the system. the screen goes white and then begin to appear colored vertical lines, the growing intensity.

If I install ubuntu with alternateCD after the installation reboot the system and reappear the same white screen.

spec
Dell Studio 1535
Intel GM965 graphics
Intel 965 Express chipset

Migolo (migolo10-gmail) wrote :

Hi there... I upgraded Ubuntu 9.04 to the 9.10 alpha 5 and it crashed with this white screen.

adamaze (adamaze) wrote :

im in the same boat as Migolo. i have been using 9.04 for some 6 months with no WSoD and now when i want to upgrade to 9.10.....the fix is gone :(

Jerone Young (jerone) wrote :

@adamaze

 So do you get the Ubuntu logo when you first bootup? The white Ubuntu log? The reason this could be an issue (again) is that we recently switched to kernel mode settings and first to hear of this issue in 9.10.

Also can you try a 9.10 live cd ?

adamaze (adamaze) wrote :

I'm currently running 9.04 and when i pop in the 9.10 live CD i made, i choose install, or try without installing and the screen goes black as if to prepare, but then goes right to the WSoD. No beautiful glowing white ubuntu logo or anything :(

Erica Rosalle (erosalle) wrote :

I attempted to boot 9.10 with the LiveCD; after the boot sequence finishes, I get that mostly white screen with thin, vertical lines. I'm also running a Dell Studio 15 with the GM965 graphics.

Brandon Harris (bbwharris) wrote :

I have the same issue. Studio 15 with X3100, and AUO panel. Attaching output message from my system.

Brandon Harris (bbwharris) wrote :

Hmm, cant do multiple attachments to ticket, here is my Xorg log.

Brandon Harris (bbwharris) wrote :

@Jerone Young

You don't get the white ubuntu logo. I can plug in an external monitor and I see a display on that monitor. It is the LCD panel from AUO causing the problems. Also, if I select the last kernel from Intrepid (2.6.28-16) in grub, then everything works great (but FF3.5 is very slow). Kernel 2.6.31-14 combined with the AUO panel are the culprits.

Jerone Young (jerone) wrote :

@Brandon

     Yes. So the reason this has returned is we are now using Kernel Mode Settings KMS. Brandon can you try booting the system with "nomodeset" added to the kernel command line of the 9.10 kernel.

      Let me know the results. Also tracking down a system with the AUO panel to resolve the issue.

Ryan Perkins (dav0d) wrote :

@Jerone

I have the 1535 with gm965. Have lines with 9.10 live. Tried 'nomodeset' and got the logo and into the installation. I wish I coded, I'd love to help more with this annoying bug.

John Boker (johnboker) wrote :

@Ryan Perkins @Jerone

I was havig the same problem with my Dell Studio 15 with the gm965.

I followed your suggestion and was able to get ubuntu 9.10 installed and it works fine now (after editing the /boot/grub/grub.cfg) with the nomodeset option.

some more information

http://www.antiyes.com/dell-studio-15-ubuntu-910-install

Brandon Harris (bbwharris) wrote :

@Jerone

Adding "nomodeset" to the kernel command line for 2.6.31-14 worked. I will happily be a guinea pig for testing, since I own one of these "awesome" panels.

Michael B. Trausch (mtrausch) wrote :

Why is the regression being discussed here? There is a bug report open for the regression at bug 460664, for Karmic. Once a bug is closed/released/whatever, if the bug is reintroduced it's a regression and that is a new bug (which should, of course, reference what the regression is of)...

Jerone Young (jerone) wrote :

Going to close this bug out. Move all postings to bug 460064 for Karmic issue.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Released → Invalid
Changed in linux (Ubuntu):
status: New → Invalid
Steve Langasek (vorlon) on 2009-11-02
Changed in xserver-xorg-video-intel (Ubuntu):
status: Invalid → Fix Released
Jerone Young (jerone) wrote :

My mistake put wrong bug. Move all new postings for karmic to bug 460664

I'm closing this report for Intrepid as it reached end-of-life on 30 April 2010.

Changed in linux (Ubuntu Intrepid):
status: New → Invalid
Changed in xserver-xorg-video-intel:
importance: Unknown → Critical
status: Invalid → Unknown
Changed in xserver-xorg-video-intel:
importance: Critical → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → Critical
Changed in xserver-xorg-video-intel:
status: Unknown → Invalid
Bryce Harrington (bryce) wrote :

I notice there is still a task open on this bug for the backport to Hardy. Looks like it just needs someone to test hardy-proposed to verify the fix.

Does anyone still care about getting this fixed on Hardy? If so please provide feedback. Otherwise, I think this bug task can probably just be closed out.

Julian Wiedmann (jwiedmann) wrote :

This release has reached end-of-life [0].

[0] https://wiki.ubuntu.com/Releases

Changed in linux (Ubuntu Hardy):
status: New → Invalid
Changed in somerville:
status: New → Fix Released
no longer affects: dell

The bug task for the somerville project has been removed by an automated script. This bug has been cloned on that project and is available here: https://bugs.launchpad.net/bugs/1305752

no longer affects: somerville
Displaying first 40 and last 40 comments. View all 103 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.